Bug 19437 - Rearrange CancelExpiredReserves tests
Summary: Rearrange CancelExpiredReserves tests
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19260
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-09 07:34 UTC by Marcel de Rooy
Modified: 2017-10-14 12:41 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19437: Rearranging tests for CancelExpiredReserves (12.13 KB, patch)
2017-10-09 07:45 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19437: Rearranging tests for CancelExpiredReserves (12.15 KB, patch)
2017-10-09 08:45 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19437: (followup) Rearrange CancelExpiredReserves tests - fix typos (1.13 KB, patch)
2017-10-09 08:45 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 19437: (followup) Rearrange CancelExpiredReserves tests - fix typos (1.23 KB, patch)
2017-10-09 08:57 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-10-09 07:34:29 UTC

    
Comment 1 Marcel de Rooy 2017-10-09 07:45:36 UTC
Created attachment 67830 [details] [review]
Bug 19437: Rearranging tests for CancelExpiredReserves

This patch originates from a QA Follow-up on bug 19260.

The first 19260 patch adds CancelExpiredReserves tests to Reserves.t.
But note that we already have some tests in Holds/CancelReserves.t.

This patch does:
Renames Holds/CancelReserves.t to Reserves/CancelExpiredReserves.t.
Rearranges modules there.
Moves its existing tests into a first subtest.
Moves the new subtest from Reserves.t to CancelExpiredReserves.t.
Replaces $dbh->do('DELETE FROM reserves').
Adds some TestBuilder statements for missing data (by the move): adding
biblio, item, borrower (removing slow AddMember call).

Test plan:
Run Reserves.t and Reserves/CancelExpiredReserves.t.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Josef Moravec 2017-10-09 08:45:02 UTC
Created attachment 67833 [details] [review]
Bug 19437: Rearranging tests for CancelExpiredReserves

This patch originates from a QA Follow-up on bug 19260.

The first 19260 patch adds CancelExpiredReserves tests to Reserves.t.
But note that we already have some tests in Holds/CancelReserves.t.

This patch does:
Renames Holds/CancelReserves.t to Reserves/CancelExpiredReserves.t.
Rearranges modules there.
Moves its existing tests into a first subtest.
Moves the new subtest from Reserves.t to CancelExpiredReserves.t.
Replaces $dbh->do('DELETE FROM reserves').
Adds some TestBuilder statements for missing data (by the move): adding
biblio, item, borrower (removing slow AddMember call).

Test plan:
Run Reserves.t and Reserves/CancelExpiredReserves.t.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Josef Moravec 2017-10-09 08:45:05 UTC
Created attachment 67834 [details] [review]
Bug 19437: (followup) Rearrange CancelExpiredReserves tests - fix typos

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Marcel de Rooy 2017-10-09 08:57:55 UTC
Created attachment 67836 [details] [review]
Bug 19437: (followup) Rearrange CancelExpiredReserves tests - fix typos

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2017-10-09 09:00:26 UTC
Taking the liberty to move this to PQA, since they essentially can be viewed as QA followups for bug 19260.
Comment 6 Jonathan Druart 2017-10-09 19:20:21 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 7 Fridolin SOMERS 2017-10-13 07:50:35 UTC
Pushed to 17.05.x, will be in 17.05.05.
Comment 8 Katrin Fischer 2017-10-14 12:41:01 UTC
Depends on 19260 which depends on another bug not in 16.11.x.